﻿using System.Windows;
using Infragistics.Controls.Grids;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

       
        private void XamGrid_ColumnSorted(object sender, SortedColumnEventArgs e)
        {
            var activeItem = xamGrid.ActiveItem;

            // Reset the active item 
            xamGrid.ActiveItem = null;
            xamGrid.ActiveItem = activeItem;

            // Scrolling to the active cell
            xamGrid.ScrollCellIntoView(xamGrid.ActiveCell);
        }
    }
}
